Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/24
Addresses2^104
/64 networks2^40
Network
ff8d:ec00::/24
First address
ff8d:ec00::
Last address
ff8d:ecff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
20,282,409,603,651,670,423,947,251,286,016 (2^104)
/64 networks (LANs)
1,099,511,627,776 (2^40)
Full form
ff8d:ec00:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zone
c.e.d.8.f.f.ip6.arpa
Split into smaller subnets/40

ff8d:ec00::/24 makes 65,536 subnets of /40; the first 256 are listed.

Subnets
#SubnetLast address
1ff8d:ec00::/40ff8d:ec00:ff:ffff:ffff:ffff:ffff:ffff
2ff8d:ec00:100::/40ff8d:ec00:1ff:ffff:ffff:ffff:ffff:ffff
3ff8d:ec00:200::/40ff8d:ec00:2ff:ffff:ffff:ffff:ffff:ffff
4ff8d:ec00:300::/40ff8d:ec00:3ff:ffff:ffff:ffff:ffff:ffff
5ff8d:ec00:400::/40ff8d:ec00:4ff:ffff:ffff:ffff:ffff:ffff
6ff8d:ec00:500::/40ff8d:ec00:5ff:ffff:ffff:ffff:ffff:ffff
7ff8d:ec00:600::/40ff8d:ec00:6ff:ffff:ffff:ffff:ffff:ffff
8ff8d:ec00:700::/40ff8d:ec00:7ff:ffff:ffff:ffff:ffff:ffff
9ff8d:ec00:800::/40ff8d:ec00:8ff:ffff:ffff:ffff:ffff:ffff
10ff8d:ec00:900::/40ff8d:ec00:9ff:ffff:ffff:ffff:ffff:ffff
11ff8d:ec00:a00::/40ff8d:ec00:aff:ffff:ffff:ffff:ffff:ffff
12ff8d:ec00:b00::/40ff8d:ec00:bff:ffff:ffff:ffff:ffff:ffff
13ff8d:ec00:c00::/40ff8d:ec00:cff:ffff:ffff:ffff:ffff:ffff
14ff8d:ec00:d00::/40ff8d:ec00:dff:ffff:ffff:ffff:ffff:ffff
15ff8d:ec00:e00::/40ff8d:ec00:eff:ffff:ffff:ffff:ffff:ffff
16ff8d:ec00:f00::/40ff8d:ec00:fff:ffff:ffff:ffff:ffff:ffff
17ff8d:ec00:1000::/40ff8d:ec00:10ff:ffff:ffff:ffff:ffff:ffff
18ff8d:ec00:1100::/40ff8d:ec00:11ff:ffff:ffff:ffff:ffff:ffff
19ff8d:ec00:1200::/40ff8d:ec00:12ff:ffff:ffff:ffff:ffff:ffff
20ff8d:ec00:1300::/40ff8d:ec00:13ff:ffff:ffff:ffff:ffff:ffff
21ff8d:ec00:1400::/40ff8d:ec00:14ff:ffff:ffff:ffff:ffff:ffff
22ff8d:ec00:1500::/40ff8d:ec00:15ff:ffff:ffff:ffff:ffff:ffff
23ff8d:ec00:1600::/40ff8d:ec00:16ff:ffff:ffff:ffff:ffff:ffff
24ff8d:ec00:1700::/40ff8d:ec00:17ff:ffff:ffff:ffff:ffff:ffff
25ff8d:ec00:1800::/40ff8d:ec00:18ff:ffff:ffff:ffff:ffff:ffff
26ff8d:ec00:1900::/40ff8d:ec00:19ff:ffff:ffff:ffff:ffff:ffff
27ff8d:ec00:1a00::/40ff8d:ec00:1aff:ffff:ffff:ffff:ffff:ffff
28ff8d:ec00:1b00::/40ff8d:ec00:1bff:ffff:ffff:ffff:ffff:ffff
29ff8d:ec00:1c00::/40ff8d:ec00:1cff:ffff:ffff:ffff:ffff:ffff
30ff8d:ec00:1d00::/40ff8d:ec00:1dff:ffff:ffff:ffff:ffff:ffff
31ff8d:ec00:1e00::/40ff8d:ec00:1eff:ffff:ffff:ffff:ffff:ffff
32ff8d:ec00:1f00::/40ff8d:ec00:1fff:ffff:ffff:ffff:ffff:ffff
33ff8d:ec00:2000::/40ff8d:ec00:20ff:ffff:ffff:ffff:ffff:ffff
34ff8d:ec00:2100::/40ff8d:ec00:21ff:ffff:ffff:ffff:ffff:ffff
35ff8d:ec00:2200::/40ff8d:ec00:22ff:ffff:ffff:ffff:ffff:ffff
36ff8d:ec00:2300::/40ff8d:ec00:23ff:ffff:ffff:ffff:ffff:ffff
37ff8d:ec00:2400::/40ff8d:ec00:24ff:ffff:ffff:ffff:ffff:ffff
38ff8d:ec00:2500::/40ff8d:ec00:25ff:ffff:ffff:ffff:ffff:ffff
39ff8d:ec00:2600::/40ff8d:ec00:26ff:ffff:ffff:ffff:ffff:ffff
40ff8d:ec00:2700::/40ff8d:ec00:27ff:ffff:ffff:ffff:ffff:ffff
41ff8d:ec00:2800::/40ff8d:ec00:28ff:ffff:ffff:ffff:ffff:ffff
42ff8d:ec00:2900::/40ff8d:ec00:29ff:ffff:ffff:ffff:ffff:ffff
43ff8d:ec00:2a00::/40ff8d:ec00:2aff:ffff:ffff:ffff:ffff:ffff
44ff8d:ec00:2b00::/40ff8d:ec00:2bff:ffff:ffff:ffff:ffff:ffff
45ff8d:ec00:2c00::/40ff8d:ec00:2cff:ffff:ffff:ffff:ffff:ffff
46ff8d:ec00:2d00::/40ff8d:ec00:2dff:ffff:ffff:ffff:ffff:ffff
47ff8d:ec00:2e00::/40ff8d:ec00:2eff:ffff:ffff:ffff:ffff:ffff
48ff8d:ec00:2f00::/40ff8d:ec00:2fff:ffff:ffff:ffff:ffff:ffff
49ff8d:ec00:3000::/40ff8d:ec00:30ff:ffff:ffff:ffff:ffff:ffff
50ff8d:ec00:3100::/40ff8d:ec00:31ff:ffff:ffff:ffff:ffff:ffff
51ff8d:ec00:3200::/40ff8d:ec00:32ff:ffff:ffff:ffff:ffff:ffff
52ff8d:ec00:3300::/40ff8d:ec00:33ff:ffff:ffff:ffff:ffff:ffff
53ff8d:ec00:3400::/40ff8d:ec00:34ff:ffff:ffff:ffff:ffff:ffff
54ff8d:ec00:3500::/40ff8d:ec00:35ff:ffff:ffff:ffff:ffff:ffff
55ff8d:ec00:3600::/40ff8d:ec00:36ff:ffff:ffff:ffff:ffff:ffff
56ff8d:ec00:3700::/40ff8d:ec00:37ff:ffff:ffff:ffff:ffff:ffff
57ff8d:ec00:3800::/40ff8d:ec00:38ff:ffff:ffff:ffff:ffff:ffff
58ff8d:ec00:3900::/40ff8d:ec00:39ff:ffff:ffff:ffff:ffff:ffff
59ff8d:ec00:3a00::/40ff8d:ec00:3aff:ffff:ffff:ffff:ffff:ffff
60ff8d:ec00:3b00::/40ff8d:ec00:3bff:ffff:ffff:ffff:ffff:ffff
61ff8d:ec00:3c00::/40ff8d:ec00:3cff:ffff:ffff:ffff:ffff:ffff
62ff8d:ec00:3d00::/40ff8d:ec00:3dff:ffff:ffff:ffff:ffff:ffff
63ff8d:ec00:3e00::/40ff8d:ec00:3eff:ffff:ffff:ffff:ffff:ffff
64ff8d:ec00:3f00::/40ff8d:ec00:3fff:ffff:ffff:ffff:ffff:ffff
65ff8d:ec00:4000::/40ff8d:ec00:40ff:ffff:ffff:ffff:ffff:ffff
66ff8d:ec00:4100::/40ff8d:ec00:41ff:ffff:ffff:ffff:ffff:ffff
67ff8d:ec00:4200::/40ff8d:ec00:42ff:ffff:ffff:ffff:ffff:ffff
68ff8d:ec00:4300::/40ff8d:ec00:43ff:ffff:ffff:ffff:ffff:ffff
69ff8d:ec00:4400::/40ff8d:ec00:44ff:ffff:ffff:ffff:ffff:ffff
70ff8d:ec00:4500::/40ff8d:ec00:45ff:ffff:ffff:ffff:ffff:ffff
71ff8d:ec00:4600::/40ff8d:ec00:46ff:ffff:ffff:ffff:ffff:ffff
72ff8d:ec00:4700::/40ff8d:ec00:47ff:ffff:ffff:ffff:ffff:ffff
73ff8d:ec00:4800::/40ff8d:ec00:48ff:ffff:ffff:ffff:ffff:ffff
74ff8d:ec00:4900::/40ff8d:ec00:49ff:ffff:ffff:ffff:ffff:ffff
75ff8d:ec00:4a00::/40ff8d:ec00:4aff:ffff:ffff:ffff:ffff:ffff
76ff8d:ec00:4b00::/40ff8d:ec00:4bff:ffff:ffff:ffff:ffff:ffff
77ff8d:ec00:4c00::/40ff8d:ec00:4cff:ffff:ffff:ffff:ffff:ffff
78ff8d:ec00:4d00::/40ff8d:ec00:4dff:ffff:ffff:ffff:ffff:ffff
79ff8d:ec00:4e00::/40ff8d:ec00:4eff:ffff:ffff:ffff:ffff:ffff
80ff8d:ec00:4f00::/40ff8d:ec00:4fff:ffff:ffff:ffff:ffff:ffff
81ff8d:ec00:5000::/40ff8d:ec00:50ff:ffff:ffff:ffff:ffff:ffff
82ff8d:ec00:5100::/40ff8d:ec00:51ff:ffff:ffff:ffff:ffff:ffff
83ff8d:ec00:5200::/40ff8d:ec00:52ff:ffff:ffff:ffff:ffff:ffff
84ff8d:ec00:5300::/40ff8d:ec00:53ff:ffff:ffff:ffff:ffff:ffff
85ff8d:ec00:5400::/40ff8d:ec00:54ff:ffff:ffff:ffff:ffff:ffff
86ff8d:ec00:5500::/40ff8d:ec00:55ff:ffff:ffff:ffff:ffff:ffff
87ff8d:ec00:5600::/40ff8d:ec00:56ff:ffff:ffff:ffff:ffff:ffff
88ff8d:ec00:5700::/40ff8d:ec00:57ff:ffff:ffff:ffff:ffff:ffff
89ff8d:ec00:5800::/40ff8d:ec00:58ff:ffff:ffff:ffff:ffff:ffff
90ff8d:ec00:5900::/40ff8d:ec00:59ff:ffff:ffff:ffff:ffff:ffff
91ff8d:ec00:5a00::/40ff8d:ec00:5aff:ffff:ffff:ffff:ffff:ffff
92ff8d:ec00:5b00::/40ff8d:ec00:5bff:ffff:ffff:ffff:ffff:ffff
93ff8d:ec00:5c00::/40ff8d:ec00:5cff:ffff:ffff:ffff:ffff:ffff
94ff8d:ec00:5d00::/40ff8d:ec00:5dff:ffff:ffff:ffff:ffff:ffff
95ff8d:ec00:5e00::/40ff8d:ec00:5eff:ffff:ffff:ffff:ffff:ffff
96ff8d:ec00:5f00::/40ff8d:ec00:5fff:ffff:ffff:ffff:ffff:ffff
97ff8d:ec00:6000::/40ff8d:ec00:60ff:ffff:ffff:ffff:ffff:ffff
98ff8d:ec00:6100::/40ff8d:ec00:61ff:ffff:ffff:ffff:ffff:ffff
99ff8d:ec00:6200::/40ff8d:ec00:62ff:ffff:ffff:ffff:ffff:ffff
100ff8d:ec00:6300::/40ff8d:ec00:63ff:ffff:ffff:ffff:ffff:ffff
101ff8d:ec00:6400::/40ff8d:ec00:64ff:ffff:ffff:ffff:ffff:ffff
102ff8d:ec00:6500::/40ff8d:ec00:65ff:ffff:ffff:ffff:ffff:ffff
103ff8d:ec00:6600::/40ff8d:ec00:66ff:ffff:ffff:ffff:ffff:ffff
104ff8d:ec00:6700::/40ff8d:ec00:67ff:ffff:ffff:ffff:ffff:ffff
105ff8d:ec00:6800::/40ff8d:ec00:68ff:ffff:ffff:ffff:ffff:ffff
106ff8d:ec00:6900::/40ff8d:ec00:69ff:ffff:ffff:ffff:ffff:ffff
107ff8d:ec00:6a00::/40ff8d:ec00:6aff:ffff:ffff:ffff:ffff:ffff
108ff8d:ec00:6b00::/40ff8d:ec00:6bff:ffff:ffff:ffff:ffff:ffff
109ff8d:ec00:6c00::/40ff8d:ec00:6cff:ffff:ffff:ffff:ffff:ffff
110ff8d:ec00:6d00::/40ff8d:ec00:6dff:ffff:ffff:ffff:ffff:ffff
111ff8d:ec00:6e00::/40ff8d:ec00:6eff:ffff:ffff:ffff:ffff:ffff
112ff8d:ec00:6f00::/40ff8d:ec00:6fff:ffff:ffff:ffff:ffff:ffff
113ff8d:ec00:7000::/40ff8d:ec00:70ff:ffff:ffff:ffff:ffff:ffff
114ff8d:ec00:7100::/40ff8d:ec00:71ff:ffff:ffff:ffff:ffff:ffff
115ff8d:ec00:7200::/40ff8d:ec00:72ff:ffff:ffff:ffff:ffff:ffff
116ff8d:ec00:7300::/40ff8d:ec00:73ff:ffff:ffff:ffff:ffff:ffff
117ff8d:ec00:7400::/40ff8d:ec00:74ff:ffff:ffff:ffff:ffff:ffff
118ff8d:ec00:7500::/40ff8d:ec00:75ff:ffff:ffff:ffff:ffff:ffff
119ff8d:ec00:7600::/40ff8d:ec00:76ff:ffff:ffff:ffff:ffff:ffff
120ff8d:ec00:7700::/40ff8d:ec00:77ff:ffff:ffff:ffff:ffff:ffff
121ff8d:ec00:7800::/40ff8d:ec00:78ff:ffff:ffff:ffff:ffff:ffff
122ff8d:ec00:7900::/40ff8d:ec00:79ff:ffff:ffff:ffff:ffff:ffff
123ff8d:ec00:7a00::/40ff8d:ec00:7aff:ffff:ffff:ffff:ffff:ffff
124ff8d:ec00:7b00::/40ff8d:ec00:7bff:ffff:ffff:ffff:ffff:ffff
125ff8d:ec00:7c00::/40ff8d:ec00:7cff:ffff:ffff:ffff:ffff:ffff
126ff8d:ec00:7d00::/40ff8d:ec00:7dff:ffff:ffff:ffff:ffff:ffff
127ff8d:ec00:7e00::/40ff8d:ec00:7eff:ffff:ffff:ffff:ffff:ffff
128ff8d:ec00:7f00::/40ff8d:ec00:7fff:ffff:ffff:ffff:ffff:ffff
129ff8d:ec00:8000::/40ff8d:ec00:80ff:ffff:ffff:ffff:ffff:ffff
130ff8d:ec00:8100::/40ff8d:ec00:81ff:ffff:ffff:ffff:ffff:ffff
131ff8d:ec00:8200::/40ff8d:ec00:82ff:ffff:ffff:ffff:ffff:ffff
132ff8d:ec00:8300::/40ff8d:ec00:83ff:ffff:ffff:ffff:ffff:ffff
133ff8d:ec00:8400::/40ff8d:ec00:84ff:ffff:ffff:ffff:ffff:ffff
134ff8d:ec00:8500::/40ff8d:ec00:85ff:ffff:ffff:ffff:ffff:ffff
135ff8d:ec00:8600::/40ff8d:ec00:86ff:ffff:ffff:ffff:ffff:ffff
136ff8d:ec00:8700::/40ff8d:ec00:87ff:ffff:ffff:ffff:ffff:ffff
137ff8d:ec00:8800::/40ff8d:ec00:88ff:ffff:ffff:ffff:ffff:ffff
138ff8d:ec00:8900::/40ff8d:ec00:89ff:ffff:ffff:ffff:ffff:ffff
139ff8d:ec00:8a00::/40ff8d:ec00:8aff:ffff:ffff:ffff:ffff:ffff
140ff8d:ec00:8b00::/40ff8d:ec00:8bff:ffff:ffff:ffff:ffff:ffff
141ff8d:ec00:8c00::/40ff8d:ec00:8cff:ffff:ffff:ffff:ffff:ffff
142ff8d:ec00:8d00::/40ff8d:ec00:8dff:ffff:ffff:ffff:ffff:ffff
143ff8d:ec00:8e00::/40ff8d:ec00:8eff:ffff:ffff:ffff:ffff:ffff
144ff8d:ec00:8f00::/40ff8d:ec00:8fff:ffff:ffff:ffff:ffff:ffff
145ff8d:ec00:9000::/40ff8d:ec00:90ff:ffff:ffff:ffff:ffff:ffff
146ff8d:ec00:9100::/40ff8d:ec00:91ff:ffff:ffff:ffff:ffff:ffff
147ff8d:ec00:9200::/40ff8d:ec00:92ff:ffff:ffff:ffff:ffff:ffff
148ff8d:ec00:9300::/40ff8d:ec00:93ff:ffff:ffff:ffff:ffff:ffff
149ff8d:ec00:9400::/40ff8d:ec00:94ff:ffff:ffff:ffff:ffff:ffff
150ff8d:ec00:9500::/40ff8d:ec00:95ff:ffff:ffff:ffff:ffff:ffff
151ff8d:ec00:9600::/40ff8d:ec00:96ff:ffff:ffff:ffff:ffff:ffff
152ff8d:ec00:9700::/40ff8d:ec00:97ff:ffff:ffff:ffff:ffff:ffff
153ff8d:ec00:9800::/40ff8d:ec00:98ff:ffff:ffff:ffff:ffff:ffff
154ff8d:ec00:9900::/40ff8d:ec00:99ff:ffff:ffff:ffff:ffff:ffff
155ff8d:ec00:9a00::/40ff8d:ec00:9aff:ffff:ffff:ffff:ffff:ffff
156ff8d:ec00:9b00::/40ff8d:ec00:9bff:ffff:ffff:ffff:ffff:ffff
157ff8d:ec00:9c00::/40ff8d:ec00:9cff:ffff:ffff:ffff:ffff:ffff
158ff8d:ec00:9d00::/40ff8d:ec00:9dff:ffff:ffff:ffff:ffff:ffff
159ff8d:ec00:9e00::/40ff8d:ec00:9eff:ffff:ffff:ffff:ffff:ffff
160ff8d:ec00:9f00::/40ff8d:ec00:9fff:ffff:ffff:ffff:ffff:ffff
161ff8d:ec00:a000::/40ff8d:ec00:a0ff:ffff:ffff:ffff:ffff:ffff
162ff8d:ec00:a100::/40ff8d:ec00:a1ff:ffff:ffff:ffff:ffff:ffff
163ff8d:ec00:a200::/40ff8d:ec00:a2ff:ffff:ffff:ffff:ffff:ffff
164ff8d:ec00:a300::/40ff8d:ec00:a3ff:ffff:ffff:ffff:ffff:ffff
165ff8d:ec00:a400::/40ff8d:ec00:a4ff:ffff:ffff:ffff:ffff:ffff
166ff8d:ec00:a500::/40ff8d:ec00:a5ff:ffff:ffff:ffff:ffff:ffff
167ff8d:ec00:a600::/40ff8d:ec00:a6ff:ffff:ffff:ffff:ffff:ffff
168ff8d:ec00:a700::/40ff8d:ec00:a7ff:ffff:ffff:ffff:ffff:ffff
169ff8d:ec00:a800::/40ff8d:ec00:a8ff:ffff:ffff:ffff:ffff:ffff
170ff8d:ec00:a900::/40ff8d:ec00:a9ff:ffff:ffff:ffff:ffff:ffff
171ff8d:ec00:aa00::/40ff8d:ec00:aaff:ffff:ffff:ffff:ffff:ffff
172ff8d:ec00:ab00::/40ff8d:ec00:abff:ffff:ffff:ffff:ffff:ffff
173ff8d:ec00:ac00::/40ff8d:ec00:acff:ffff:ffff:ffff:ffff:ffff
174ff8d:ec00:ad00::/40ff8d:ec00:adff:ffff:ffff:ffff:ffff:ffff
175ff8d:ec00:ae00::/40ff8d:ec00:aeff:ffff:ffff:ffff:ffff:ffff
176ff8d:ec00:af00::/40ff8d:ec00:afff:ffff:ffff:ffff:ffff:ffff
177ff8d:ec00:b000::/40ff8d:ec00:b0ff:ffff:ffff:ffff:ffff:ffff
178ff8d:ec00:b100::/40ff8d:ec00:b1ff:ffff:ffff:ffff:ffff:ffff
179ff8d:ec00:b200::/40ff8d:ec00:b2ff:ffff:ffff:ffff:ffff:ffff
180ff8d:ec00:b300::/40ff8d:ec00:b3ff:ffff:ffff:ffff:ffff:ffff
181ff8d:ec00:b400::/40ff8d:ec00:b4ff:ffff:ffff:ffff:ffff:ffff
182ff8d:ec00:b500::/40ff8d:ec00:b5ff:ffff:ffff:ffff:ffff:ffff
183ff8d:ec00:b600::/40ff8d:ec00:b6ff:ffff:ffff:ffff:ffff:ffff
184ff8d:ec00:b700::/40ff8d:ec00:b7ff:ffff:ffff:ffff:ffff:ffff
185ff8d:ec00:b800::/40ff8d:ec00:b8ff:ffff:ffff:ffff:ffff:ffff
186ff8d:ec00:b900::/40ff8d:ec00:b9ff:ffff:ffff:ffff:ffff:ffff
187ff8d:ec00:ba00::/40ff8d:ec00:baff:ffff:ffff:ffff:ffff:ffff
188ff8d:ec00:bb00::/40ff8d:ec00:bbff:ffff:ffff:ffff:ffff:ffff
189ff8d:ec00:bc00::/40ff8d:ec00:bcff:ffff:ffff:ffff:ffff:ffff
190ff8d:ec00:bd00::/40ff8d:ec00:bdff:ffff:ffff:ffff:ffff:ffff
191ff8d:ec00:be00::/40ff8d:ec00:beff:ffff:ffff:ffff:ffff:ffff
192ff8d:ec00:bf00::/40ff8d:ec00:bfff:ffff:ffff:ffff:ffff:ffff
193ff8d:ec00:c000::/40ff8d:ec00:c0ff:ffff:ffff:ffff:ffff:ffff
194ff8d:ec00:c100::/40ff8d:ec00:c1ff:ffff:ffff:ffff:ffff:ffff
195ff8d:ec00:c200::/40ff8d:ec00:c2ff:ffff:ffff:ffff:ffff:ffff
196ff8d:ec00:c300::/40ff8d:ec00:c3ff:ffff:ffff:ffff:ffff:ffff
197ff8d:ec00:c400::/40ff8d:ec00:c4ff:ffff:ffff:ffff:ffff:ffff
198ff8d:ec00:c500::/40ff8d:ec00:c5ff:ffff:ffff:ffff:ffff:ffff
199ff8d:ec00:c600::/40ff8d:ec00:c6ff:ffff:ffff:ffff:ffff:ffff
200ff8d:ec00:c700::/40ff8d:ec00:c7ff:ffff:ffff:ffff:ffff:ffff
201ff8d:ec00:c800::/40ff8d:ec00:c8ff:ffff:ffff:ffff:ffff:ffff
202ff8d:ec00:c900::/40ff8d:ec00:c9ff:ffff:ffff:ffff:ffff:ffff
203ff8d:ec00:ca00::/40ff8d:ec00:caff:ffff:ffff:ffff:ffff:ffff
204ff8d:ec00:cb00::/40ff8d:ec00:cbff:ffff:ffff:ffff:ffff:ffff
205ff8d:ec00:cc00::/40ff8d:ec00:ccff:ffff:ffff:ffff:ffff:ffff
206ff8d:ec00:cd00::/40ff8d:ec00:cdff:ffff:ffff:ffff:ffff:ffff
207ff8d:ec00:ce00::/40ff8d:ec00:ceff:ffff:ffff:ffff:ffff:ffff
208ff8d:ec00:cf00::/40ff8d:ec00:cfff:ffff:ffff:ffff:ffff:ffff
209ff8d:ec00:d000::/40ff8d:ec00:d0ff:ffff:ffff:ffff:ffff:ffff
210ff8d:ec00:d100::/40ff8d:ec00:d1ff:ffff:ffff:ffff:ffff:ffff
211ff8d:ec00:d200::/40ff8d:ec00:d2ff:ffff:ffff:ffff:ffff:ffff
212ff8d:ec00:d300::/40ff8d:ec00:d3ff:ffff:ffff:ffff:ffff:ffff
213ff8d:ec00:d400::/40ff8d:ec00:d4ff:ffff:ffff:ffff:ffff:ffff
214ff8d:ec00:d500::/40ff8d:ec00:d5ff:ffff:ffff:ffff:ffff:ffff
215ff8d:ec00:d600::/40ff8d:ec00:d6ff:ffff:ffff:ffff:ffff:ffff
216ff8d:ec00:d700::/40ff8d:ec00:d7ff:ffff:ffff:ffff:ffff:ffff
217ff8d:ec00:d800::/40ff8d:ec00:d8ff:ffff:ffff:ffff:ffff:ffff
218ff8d:ec00:d900::/40ff8d:ec00:d9ff:ffff:ffff:ffff:ffff:ffff
219ff8d:ec00:da00::/40ff8d:ec00:daff:ffff:ffff:ffff:ffff:ffff
220ff8d:ec00:db00::/40ff8d:ec00:dbff:ffff:ffff:ffff:ffff:ffff
221ff8d:ec00:dc00::/40ff8d:ec00:dcff:ffff:ffff:ffff:ffff:ffff
222ff8d:ec00:dd00::/40ff8d:ec00:ddff:ffff:ffff:ffff:ffff:ffff
223ff8d:ec00:de00::/40ff8d:ec00:deff:ffff:ffff:ffff:ffff:ffff
224ff8d:ec00:df00::/40ff8d:ec00:dfff:ffff:ffff:ffff:ffff:ffff
225ff8d:ec00:e000::/40ff8d:ec00:e0ff:ffff:ffff:ffff:ffff:ffff
226ff8d:ec00:e100::/40ff8d:ec00:e1ff:ffff:ffff:ffff:ffff:ffff
227ff8d:ec00:e200::/40ff8d:ec00:e2ff:ffff:ffff:ffff:ffff:ffff
228ff8d:ec00:e300::/40ff8d:ec00:e3ff:ffff:ffff:ffff:ffff:ffff
229ff8d:ec00:e400::/40ff8d:ec00:e4ff:ffff:ffff:ffff:ffff:ffff
230ff8d:ec00:e500::/40ff8d:ec00:e5ff:ffff:ffff:ffff:ffff:ffff
231ff8d:ec00:e600::/40ff8d:ec00:e6ff:ffff:ffff:ffff:ffff:ffff
232ff8d:ec00:e700::/40ff8d:ec00:e7ff:ffff:ffff:ffff:ffff:ffff
233ff8d:ec00:e800::/40ff8d:ec00:e8ff:ffff:ffff:ffff:ffff:ffff
234ff8d:ec00:e900::/40ff8d:ec00:e9ff:ffff:ffff:ffff:ffff:ffff
235ff8d:ec00:ea00::/40ff8d:ec00:eaff:ffff:ffff:ffff:ffff:ffff
236ff8d:ec00:eb00::/40ff8d:ec00:ebff:ffff:ffff:ffff:ffff:ffff
237ff8d:ec00:ec00::/40ff8d:ec00:ecff:ffff:ffff:ffff:ffff:ffff
238ff8d:ec00:ed00::/40ff8d:ec00:edff:ffff:ffff:ffff:ffff:ffff
239ff8d:ec00:ee00::/40ff8d:ec00:eeff:ffff:ffff:ffff:ffff:ffff
240ff8d:ec00:ef00::/40ff8d:ec00:efff:ffff:ffff:ffff:ffff:ffff
241ff8d:ec00:f000::/40ff8d:ec00:f0ff:ffff:ffff:ffff:ffff:ffff
242ff8d:ec00:f100::/40ff8d:ec00:f1ff:ffff:ffff:ffff:ffff:ffff
243ff8d:ec00:f200::/40ff8d:ec00:f2ff:ffff:ffff:ffff:ffff:ffff
244ff8d:ec00:f300::/40ff8d:ec00:f3ff:ffff:ffff:ffff:ffff:ffff
245ff8d:ec00:f400::/40ff8d:ec00:f4ff:ffff:ffff:ffff:ffff:ffff
246ff8d:ec00:f500::/40ff8d:ec00:f5ff:ffff:ffff:ffff:ffff:ffff
247ff8d:ec00:f600::/40ff8d:ec00:f6ff:ffff:ffff:ffff:ffff:ffff
248ff8d:ec00:f700::/40ff8d:ec00:f7ff:ffff:ffff:ffff:ffff:ffff
249ff8d:ec00:f800::/40ff8d:ec00:f8ff:ffff:ffff:ffff:ffff:ffff
250ff8d:ec00:f900::/40ff8d:ec00:f9ff:ffff:ffff:ffff:ffff:ffff
251ff8d:ec00:fa00::/40ff8d:ec00:faff:ffff:ffff:ffff:ffff:ffff
252ff8d:ec00:fb00::/40ff8d:ec00:fbff:ffff:ffff:ffff:ffff:ffff
253ff8d:ec00:fc00::/40ff8d:ec00:fcff:ffff:ffff:ffff:ffff:ffff
254ff8d:ec00:fd00::/40ff8d:ec00:fdff:ffff:ffff:ffff:ffff:ffff
255ff8d:ec00:fe00::/40ff8d:ec00:feff:ffff:ffff:ffff:ffff:ffff
256ff8d:ec00:ff00::/40ff8d:ec00:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses